fop 1.1

## org.apache.fop.render.ps.extensions
Class AbstractPSCommentElement

    java.lang.Object
      org.apache.fop.fo.FONode
          org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
              org.apache.fop.render.ps.extensions.AbstractPSCommentElement

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  PSCommentAfterElement, PSCommentBeforeElement, PSPageTrailerCodeBeforeElement

    public abstract class AbstractPSCommentElement

extends AbstractPSExtensionElement

Base postscript commment element class

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.FONode
`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

Field Summary

Fields inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`attachment`

Fields inherited from class org.apache.fop.fo.FONode
`FO_URI, FOX_URI, locator, log, parent, siblings`

Constructor Summary
`AbstractPSCommentElement(FONode parent)` Default constructor

Method Summary
`protected void` `startOfNode()` Called after processNode() is called.

Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
`characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, instantiateExtensionAttachment, validateChildNode`

Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocalName, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getUserAgent, inMarker, invalidChildError, invalidChildError, isBidiRangeBlockItem, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, processNode, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPSCommentElement

    public AbstractPSCommentElement(FONode parent)

  Default constructor

  Parameters:
    `parent` - parent of this node
  See Also:
    `FONode.FONode(FONode)`

Method Detail

### startOfNode

    protected void startOfNode()
                        throws FOPException

  Description copied from class: `FONode`
  Called after processNode() is called. Subclasses can do additional processing.

  Overrides:
    `startOfNode` in class `FONode`
  Throws:
    `FOPException` - if there's a problem during processing
  See Also:
    `FONode.startOfNode()`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.